ruby-nokogiri 1.10.0+dfsg1-2ubuntu0.1 source package in Ubuntu

Changelog

ruby-nokogiri (1.10.0+dfsg1-2ubuntu0.1) disco-security; urgency=medium

  * SECURITY UPDATE: Command injection vulnerability.
    - debian/patches/CVE-2019-5477.patch: prefer File.open to Kernel.open.
    - CVE-2019-5477

 -- Eduardo Barretto <email address hidden>  Mon, 04 Nov 2019 11:27:19 -0300

Upload details

Uploaded by:
Eduardo dos Santos Barretto on 2019-11-04
Uploaded to:
Disco
Original maintainer:
Ubuntu Developers
Architectures:
any
Section:
ruby
Urgency:
Medium Urgency

See full publishing history Publishing

Series Pocket Published Component Section
Disco updates on 2019-11-05 universe ruby
Disco security on 2019-11-05 universe ruby

Downloads

File Size SHA-256 Checksum
ruby-nokogiri_1.10.0+dfsg1.orig.tar.xz 437.4 KiB 0d6f82906605169e50087fcc67789b3962916d60eb8a54d113b1ccdc5a51c043
ruby-nokogiri_1.10.0+dfsg1-2ubuntu0.1.debian.tar.xz 9.4 KiB 7e76eb56943e9ddbd80a91683dc3812139d8396efd1def0ba4f0fcf502f9d447
ruby-nokogiri_1.10.0+dfsg1-2ubuntu0.1.dsc 2.3 KiB 66631f3c20001ffcbac3fa6a2c8b10857dcaada75664930cdab48b1bd51b09ed

View changes file

Binary packages built by this source

ruby-nokogiri: HTML, XML, SAX, and Reader parser for Ruby

 Nokogiri (鋸) is an HTML, XML, SAX, and Reader parser. It is able to
 search documents via XPath or CSS3 selectors, and is a drop-in replacement
 for Hpricot (though not bug for bug).

ruby-nokogiri-dbgsym: debug symbols for ruby-nokogiri